com.pixelmed.scpecg

## Class Section4

- java.lang.Object
- - com.pixelmed.scpecg.Section
  - - com.pixelmed.scpecg.Section4

    public class Section4
    extends Section

A class to encapsulate the SCP-ECG QRS Locations section.

### Field Summary

### Fields inherited from class com.pixelmed.scpecg.Section

`bytesRead, header, sectionBytesRemaining, tree`

### Constructor Summary

Constructors
Constructor and Description
`Section4(SectionHeader header)`

### Method Summary

Methods
`int[]` `getBeatType()`
`int` `getLengthOfReferenceBeat0DataInMilliSeconds()`
`int` `getSampleNumberOfQRSOfFiducial()`
`long[]` `getSampleNumberOfResidualOfFiducial()`
`long[]` `getSampleNumberOfResidualToEndProtectedArea()`
`long[]` `getSampleNumberOfResidualToEndSubtractingQRS()`
`long[]` `getSampleNumberOfResidualToStartProtectedArea()`
`long[]` `getSampleNumberOfResidualToStartSubtractingQRS()`
`java.lang.String` `getSectionName()` Get a string name for this section.
`int` `getTotalNumberOfQRSComplexes()`
`SCPTreeRecord` `getTree(SCPTreeRecord parent)` Get the contents of the section as a tree for display, constructing it if not already done.
`long` `read(BinaryInputStream i)` Read the remainder of the section from a stream.
`java.lang.String` `toString()` Dump the section as a `String`.
`java.lang.String` `validate()` Validate the section against the standard.

### Methods inherited from class com.pixelmed.scpecg.Section

`addNodeOfDecimalAndHex, addNodeOfDecimalWithMissingValues, addSectionHeaderToTree, describeMissingValues, getSectionHeader, getTree, getValueForSectionNodeInTree, makeSection, makeStringFromByteArrayRemovingAnyNulls, skipToEndOfSectionIfNotAlreadyThere`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Section4

    public Section4(SectionHeader header)

### Method Detail

#### getSectionName

    public java.lang.String getSectionName()

Get a string name for this section.

Overrides:
  `getSectionName` in class `Section`
Returns:
  a string name for this section

#### getLengthOfReferenceBeat0DataInMilliSeconds

    public int getLengthOfReferenceBeat0DataInMilliSeconds()

#### getSampleNumberOfQRSOfFiducial

    public int getSampleNumberOfQRSOfFiducial()

#### getTotalNumberOfQRSComplexes

    public int getTotalNumberOfQRSComplexes()

#### getBeatType

    public int[] getBeatType()

#### getSampleNumberOfResidualToStartSubtractingQRS

    public long[] getSampleNumberOfResidualToStartSubtractingQRS()

#### getSampleNumberOfResidualOfFiducial

    public long[] getSampleNumberOfResidualOfFiducial()

#### getSampleNumberOfResidualToEndSubtractingQRS

    public long[] getSampleNumberOfResidualToEndSubtractingQRS()

#### getSampleNumberOfResidualToStartProtectedArea

    public long[] getSampleNumberOfResidualToStartProtectedArea()

#### getSampleNumberOfResidualToEndProtectedArea

    public long[] getSampleNumberOfResidualToEndProtectedArea()

#### read

    public long read(BinaryInputStream i)
              throws java.io.IOException

Description copied from class: `Section`

Read the remainder of the section from a stream.

Overrides:
  `read` in class `Section`
Parameters:
  `i` - the input stream
Returns:
  the number of bytes read
Throws:
  `java.io.IOException`

#### toString

    public java.lang.String toString()

Description copied from class: `Section`

Dump the section as a `String`.

Overrides:
  `toString` in class `Section`
Returns:
  the section as a `String`

#### validate

    public java.lang.String validate()

Description copied from class: `Section`

Validate the section against the standard.

Overrides:
  `validate` in class `Section`
Returns:
  the validation results as a `String`

#### getTree

    public SCPTreeRecord getTree(SCPTreeRecord parent)

Get the contents of the section as a tree for display, constructing it if not already done.

Overrides:
  `getTree` in class `Section`
Parameters:
  `parent` - the node to which this section is to be added if it needs to be created de novo
Returns:
  the section as a tree